package com.steerinfo.baseinfo.meterbasecard.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasecard.model.MeterBaseCard;

import java.util.List;

/**
 * MeterBaseCard服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-20 10:43
 * 类描述
 * 修订历史：
 * 日期：2020-06-20
 * 作者：generator
 * 参考：
 * 描述：MeterBaseCard服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseCardService extends IBaseService<MeterBaseCard, String>{
     String checkandadd(MeterBaseCard model);

     String Recovery(List<MeterBaseCard> models);

     String checkandupdate(String id,MeterBaseCard model);

     String abolish(List<MeterBaseCard> models);

     String loss(List<MeterBaseCard> models);

     String checkandaddlist(List<MeterBaseCard> models);
}